Bug 1129678 - JobExecutor: It's possible to cancel a job more than once in the web UI.
Summary: JobExecutor: It's possible to cancel a job more than once in the web UI.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER2
: 6.1.0
Assignee: Maciej Swiderski
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 13:02 UTC by Marek Baluch
Modified: 2014-12-01 12:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
screenshot (108.65 KB, image/png)
2014-08-13 13:02 UTC, Marek Baluch
no flags Details

Description Marek Baluch 2014-08-13 13:02:24 UTC
Created attachment 926413 [details]
screenshot

Description of problem:
${summary}

Steps to Reproduce:
1. Navigate to Deploy -> Jobs
2. Create a new job using the New Job button
3. Cancel the job

Actual results:
The cancel action is still present and enabled (can also be used)

Expected results:
The cancel action is hidden or disabled.

Additional info:
See attached screenshot which shows a canceled job and the cancel button still visible.

Comment 1 Maciej Swiderski 2014-11-04 13:16:11 UTC
this has been already included in master and 6.2.x as part of this jira https://issues.jboss.org/browse/JBPM-4496 so button will be hidden when not applicable

Comment 2 Marek Baluch 2014-12-01 12:10:50 UTC
Verified on 6.1.0.ER2.


Note You need to log in before you can comment on or make changes to this bug.